/*
 *  ALD messages definitions
 *
 */
#ifndef ALD_PARSEC_AUD_ERR_DEFINITIONS
#define ALD_PARSEC_AUD_ERR_DEFINITIONS

#include <ald/ALDUtils.h>
#include <ald/msg-definitions.h>
#include "parsec-aud-gettext.h"

using namespace ALD;

namespace ALDParsecAud
{

#define OBJ_PARSEC_AUD _PA("audit policy")

#define ERR_MULTIPLE_PARSEC_AUDS(policy)  FMTSTR(1, _PA("Multiple audit policies with the same name '%s'."), policy.c_str())

#define ERR_BAD_PARSEC_USER_AUD_TYPE(type) FMTSTR(1, _PA("Incorrect audit policy type '%s'.\n" \
                                                         "Should be a 'user', 'group' or 'other'."), type.c_str())

}

#endif // ALD_PARSEC_AUD_ERR_DEFINITIONS
