#ifndef ALD_ACTION_PARSEC_MAC_DEFINITIONS
#define ALD_ACTION_PARSEC_MAC_DEFINITIONS

#include <ald/action-definitions.h>

#define ALD_MAC_LEV_ADDED           "MacLevelAdded"
#define ALD_MAC_LEV_CK_DELETING     "CheckMacLevelDeleting"
#define ALD_MAC_LEV_DO_DELETING     "DoMacLevelDeleting"
#define ALD_MAC_LEV_DELETED         "MacLevelDeleted"

#define ALD_MAC_CAT_ADDED           "MacCategoryAdded"
#define ALD_MAC_CAT_CK_DELETING     "CheckMacCategoryDeleting"
#define ALD_MAC_CAT_DO_DELETING     "DoMacCategoryDeleting"
#define ALD_MAC_CAT_DELETED         "MacCategoryDeleted"

#define ALD_USER_MAC_CHANGED        "UserMac14Changed"

#define ALD_PARSEC_HOME "/home"
#define ALD_PARSEC_MOUNTPOINT "/run/ald.mounts"

#endif // ALD_ACTION_PARSEC_MAC_DEFINITIONS
