#ifndef ALD_PARSEC_DEVAC_LDAP_DEFINITIONS
#define ALD_PARSEC_DEVAC_LDAP_DEFINITIONS

#include <ald/ldap-definitions.h>

//  ALD PARSEC LDAP STRUCT

// device
#define ALD_LDAP_PARSEC_DEVAC_DEVICE_BASE         "ou=devices,ou=dev-services,ou=service-configs"
#define ALD_LDAP_PARSEC_DEVAC_DEVICE_OCLASS       "x-ald-device"
#define ALD_LDAP_PARSEC_DEVAC_DEVICE_CLASS        "objectClass=x-ald-device"
#define ALD_LDAP_PARSEC_DEVAC_DEVICE_NAME         "cn"
#define ALD_LDAP_PARSEC_DEVAC_DEVICE_DESC         "description"
#define ALD_LDAP_PARSEC_DEVAC_DEVICE_ATTR         "x-ald-devac-attr"
#define ALD_LDAP_PARSEC_DEVAC_DEVICE_STATUS       "x-ald-devac-status"
#define ALD_LDAP_PARSEC_DEVAC_DEVICE_OWNER        "x-ald-devac-owner"
#define ALD_LDAP_PARSEC_DEVAC_DEVICE_GROUP        "x-ald-devac-group"
#define ALD_LDAP_PARSEC_DEVAC_DEVICE_MODE         "x-ald-devac-mode"
#define ALD_LDAP_PARSEC_DEVAC_DEVICE_RULE         "x-ald-devac-rule"
#define ALD_LDAP_PARSEC_DEVAC_DEVICE_MAC          "x-ald-devac-mac"
#define ALD_LDAP_PARSEC_DEVAC_DEVICE_AUD          "x-ald-devac-aud"
#define ALD_LDAP_PARSEC_DEVAC_DEVICE_MACTYPE      "x-ald-devac-mac-type"

#define ALD_LDAP_PARSEC_DEVAC_OWNER_IDX           ALD_LDAP_PARSEC_DEVAC_DEVICE_OWNER " eq"
#define ALD_LDAP_PARSEC_DEVAC_GROUP_IDX           ALD_LDAP_PARSEC_DEVAC_DEVICE_GROUP " eq"

// rule
#define ALD_LDAP_PARSEC_DEVAC_RULE_BASE         "ou=rules,ou=dev-services,ou=service-configs"
#define ALD_LDAP_PARSEC_DEVAC_RULE_OCLASS       "x-ald-device-rule"
#define ALD_LDAP_PARSEC_DEVAC_RULE_CLASS        "objectClass=x-ald-device-rule"
#define ALD_LDAP_PARSEC_DEVAC_RULE_NAME         "cn"
#define ALD_LDAP_PARSEC_DEVAC_RULE_DESC         "description"
#define ALD_LDAP_PARSEC_DEVAC_RULE_ATTR         "x-ald-devac-attr"
#define ALD_LDAP_PARSEC_DEVAC_RULE_STATUS       "x-ald-devac-status"


#endif // ALD_PARSEC_DEVAC_LDAP_DEFINITIONS
