#ifndef ALD_RPC_PARSEC_MAC_DEFINITIONS
#define ALD_RPC_PARSEC_MAC_DEFINITIONS

#include <ald/rpc-definitions.h>

namespace ALDParsecMAC
{

// RPC Command definitions

#define ALD_RPC_CMD_MACLEV_SET      "rpc-maclev-set"
#define ALD_RPC_CMD_MACCAT_SET      "rpc-maccat-set"
#define ALD_RPC_CMD_MACUSER_MAC     "rpc-macuser-mac"
#define ALD_RPC_CMD_MACUSER_CAP     "rpc-macuser-cap"
#define ALD_RPC_CMD_MACOBJ_RM       "rpc-macobj-remove"

// LPC Command definitions

#define ALD_LPC_CMD_USERMAC         "lpc-user-mac"
#define ALD_LPC_CMD_USERCAPS        "lpc-user-caps"
#define ALD_LPC_CMD_USERMIC         "lpc-user-mic"

// Broadcast definitions
#define ALD_BRC_MSG_INVMAC          "bc-invalidate-mac"
#define ALD_BRC_MSG_USERMAC         "bc-user-mac"
#define ALD_BRC_MSG_USERCAPS        "bc-user-caps"

} // ALD

#endif // ALD_RPC_PARSEC_MAC_DEFINITIONS
